# Generated by Django 3.0.8 on 2020-07-23 08:24

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('wars', '0002_people'),
    ]

    operations = [
        migrations.CreateModel(
            name='Transport',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('edited', models.DateTimeField(auto_now=True)),
                ('name', models.CharField(max_length=40)),
                ('model', models.CharField(max_length=40)),
                ('manufacturer', models.CharField(max_length=80)),
                ('cost_in_credits', models.CharField(max_length=40)),
                ('length', models.CharField(max_length=40)),
                ('max_atmosphering_speed', models.CharField(max_length=40)),
                ('crew', models.CharField(max_length=40)),
                ('passengers', models.CharField(max_length=40)),
                ('cargo_capacity', models.CharField(max_length=40)),
                ('consumables', models.CharField(max_length=40)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Species',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('edited', models.DateTimeField(auto_now=True)),
                ('name', models.CharField(max_length=40)),
                ('classification', models.CharField(max_length=40)),
                ('designation', models.CharField(max_length=40)),
                ('average_height', models.CharField(max_length=40)),
                ('skin_colors', models.CharField(max_length=200)),
                ('hair_colors', models.CharField(max_length=200)),
                ('eye_colors', models.CharField(max_length=200)),
                ('average_lifespan', models.CharField(max_length=40)),
                ('language', models.CharField(max_length=40)),
                ('homeworld', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='wars.Planet')),
                ('people', models.ManyToManyField(related_name='species', to='wars.People')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Hero',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('edited', models.DateTimeField(auto_now=True)),
                ('name', models.CharField(max_length=100)),
                ('homeworld', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='heroes', to='wars.Planet')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Vehicle',
            fields=[
                ('transport_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='wars.Transport')),
                ('vehicle_class', models.CharField(max_length=40)),
                ('pilots', models.ManyToManyField(blank=True, related_name='vehicles', to='wars.People')),
            ],
            options={
                'abstract': False,
            },
            bases=('wars.transport',),
        ),
        migrations.CreateModel(
            name='Starship',
            fields=[
                ('transport_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='wars.Transport')),
                ('hyperdrive_rating', models.CharField(max_length=40)),
                ('MGLT', models.CharField(max_length=40)),
                ('starship_class', models.CharField(max_length=40)),
                ('pilots', models.ManyToManyField(blank=True, related_name='starships', to='wars.People')),
            ],
            options={
                'abstract': False,
            },
            bases=('wars.transport',),
        ),
        migrations.CreateModel(
            name='Film',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('edited', models.DateTimeField(auto_now=True)),
                ('title', models.CharField(max_length=100)),
                ('episode_id', models.IntegerField()),
                ('opening_crawl', models.TextField(max_length=1000)),
                ('director', models.CharField(max_length=100)),
                ('producer', models.CharField(max_length=100)),
                ('release_date', models.DateField()),
                ('characters', models.ManyToManyField(blank=True, related_name='films', to='wars.People')),
                ('planets', models.ManyToManyField(blank=True, related_name='films', to='wars.Planet')),
                ('species', models.ManyToManyField(blank=True, related_name='films', to='wars.Species')),
                ('starships', models.ManyToManyField(blank=True, related_name='films', to='wars.Starship')),
                ('vehicles', models.ManyToManyField(blank=True, related_name='films', to='wars.Vehicle')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
